Initiate a file staged upload
POST https://{handle}.myshopline.com/admin/openapi/v20261201/files/upload.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Initiate a staged upload for multiple files. This API will return the upload credentials necessary for future upload operations.
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
file_infoobject[] required
A list of information about the files.file_size longThe size of the file, in bytes. Required when the file type is a video.Example:300mime_type string requiredThe MIME type of the file. Valid values are:image/jpegimage/pngimage/bmpimage/webpimage/svg+xmlimage/x-iconvideo/mp4video/webmvideo/quicktimeapplication/pdfapplication/vnd.openxmlformats-officedocument.spreadsheetml.sheettext/csvapplication/vnd.openxmlformats-officedocument.wordprocessingml.documentfont/ttffont/wofffont/otffont/sfntapplication/font-sfntaudio/mpegtext/htmltext/javascriptapplication/javascripttext/cssapplication/jsonapplication/xmltext/xmltext/plainapplication/octet-streamapplication/x-rar-compressedapplication/zip
Example:stringfile_name string requiredThe name of the file.
Maximum length: 255Example:file_name
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
signsobject[]
A list of signature information for the files.url stringA staged upload URL.Example:https://sl-resource-tmp-sg.s3-ap-southeast-1.xxx.com/temp%2Ffile%2Fstore%2F1672369729606%2F6995259736342668404%2Fimage.png?Expires=1747882880&OSSAccessKeyId=LTAI5tNjm7fr4EUCoEps4UPE&Signature=kLIWPCVwWTQMZcHUWyszjoH4DPM%3Daccess_id stringAccess key for the upload signature.Example:LTAI5tRrVqCocJKdSpEovixmcall_back stringCallback parameters for the file load.Example:eyJjYWxsYmFja0JvZHkiOiJidWNrZXQ9JHtidWNrZXR9Jm9iamVjdD0ke29iamVjdH0mc2l6ZT0ke3NpemV9JmNvbnRlbnRUeXBlVHlwZT0ke2NvbnRlbnRUeXBlVHlwZX0mZm9ybWF0PSR7aW1hZ2VJbmZvLmZvcm1hdH0mYml6dHlwZT1cIm9wZW5hcGlTdGFzaENoYW5nZUxpbmtcIiIsImNhbGxiYWNrQm9keVR5cGUiOiJhcHBsaWNhdGlhost stringThe base URL endpoint where the file will be uploaded.Example:https://sl-resource-tmp-sg.s3.xxx.comkey stringRelative path for storing the file, including the filename.Example:temp/file/store/1626235806828/6991265004189666341/image.jpgpolicy stringSignature policy information for the file upload.Example:eyJleHBpcmF0aW9uIjoiMjAyNi0wNS0xMlQwODo1Mjo1NloiLCJjb25kaXRpb25zIjpbWyJjb250ZW50LWxlbmd0aC1yYW5nZSIsMCwyMDk3MTUyMF0sWyJlcSIsIiRrZXkiLCJ0ZW1wL2ZpbGUvc3RvcmUvMTYyNjIzNTgwNjgyOC82OTkxMjY1MDA0MTg5NjY2MzQxLzAwMDQ5ZWEzNDQ4ZTQzMWM4YTRiYzVhsignature stringSignature for the upload request.Example:6+YHcWnLhu0YofPIzAQUaZ9kKZI=
API Explorer
Debugger
Examples
Was this article helpful to you?